Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class DocumentMessage<T>

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Message<T>
          be.ehealth.businessconnector.ehbox.api.domain.DocumentMessage<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Serializable

    public class DocumentMessage<T>

extends Message<T>

DocumentMessage class declaration. Extends : `Message`

See Also:
  Serialized Form

Constructor Summary
`DocumentMessage()`

Method Summary
`List<Document>` | `getAnnexList()`
`Document` | `getBody()`
`List<String>` | `getCopyMailTo()`
`String` | `getDocumentTitle()`
`Map<String,String>` | `getFreeInformationTableRows()`
`String` | `getFreeInformationTableTitle()`
`String` | `getFreeText()`
`String` | `getPatientInss()`
`void` | `setBody(Document body)` Sets a document body as defined in the eHealtBox v.3 Publication WS cookbook.
`void` | `setFreeInformationTableRows(Map<String,String> freeInformationTableRows)`
`void` | `setFreeInformationTableTitle(String freeInformationTableTitle)`
`void` | `setFreeText(String freeText)`
`void` | `setPatientInss(String patientInss)`

Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message
`generatePublicationId, getCustomMetas, getDestinations, getExpirationDate, getExpirationDateTime, getId, getOriginal, getPublicationDate, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDate, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setOriginal, setPublicationDate, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentMessage

    public DocumentMessage()

Method Detail

### getDocumentTitle

    public final String getDocumentTitle()

  Returns:
    the document title

### getBody

    public final Document getBody()

  Returns:
    the document

### setBody

    public final void setBody(Document body)

  Sets a document body as defined in the eHealtBox v.3 Publication WS cookbook. the connector translates this body in the WS interface as EncryptableTextContent in the Document xml element.

  This methods makes the following validations on the passed `Document`:

  - The MineType must be text/plain or text/html
  - The extension of the filename must be .txt or .html

  Parameters:
    `body` - the document body to set

### getFreeText

    public final String getFreeText()

  Returns:
    the freeText

### setFreeText

    public final void setFreeText(String freeText)

  Parameters:
    `freeText` - the freeText to set

### getPatientInss

    public final String getPatientInss()

  Returns:
    the patientInss

### setPatientInss

    public final void setPatientInss(String patientInss)

  Parameters:
    `patientInss` - the patientInss to set

### getAnnexList

    public final List<Document> getAnnexList()

  Returns:
    the annex list

### getCopyMailTo

    public List<String> getCopyMailTo()

  Returns:
    the copyMailTo

### getFreeInformationTableTitle

    public String getFreeInformationTableTitle()

  Returns:
    the freeInformationTableTitle

### setFreeInformationTableTitle

    public void setFreeInformationTableTitle(String freeInformationTableTitle)

  Parameters:
    `freeInformationTableTitle` - the freeInformationTableTitle to set

### getFreeInformationTableRows

    public Map<String,String> getFreeInformationTableRows()

  Returns:
    the freeInformationTableRows

### setFreeInformationTableRows

    public void setFreeInformationTableRows(Map<String,String> freeInformationTableRows)

  Parameters:
    `freeInformationTableRows` - the freeInformationTableRows to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.